# PSF-LoginServer - master - net.psforever.services.hart.HartTimer
PSF - LoginServer - master - net.psforever.services.hart.HartTimer
Keywords: PSF LoginServer master net.psforever.services.hart.HartTimer

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package hart
  Definition Classes
    services
- HartEvent
- HartEventStateFields
- HartEventTimeFields
- HartService
- HartTimer
- HartTimerActions
- ShuttleState

o

net.psforever.services.hart

# HartTimer 

###
Companion class HartTimer

#### object HartTimer

Source
  HartTimer.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HartTimer
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  trait Command extends GenericEventBusMsg

   Design for the envelop for the message bus to relay instructions back to the individual facility amenity portions of this HART system.

   Design for the envelop for the message bus to relay instructions back to the individual facility amenity portions of this HART system. The channel is blank because it does not need special designation.

2.  trait MessageToHartInZone extends AnyRef
3.  final case class OrbitalShuttleEvent (u1: HartSequence, u2: Int, t1: Long, t2: Long, t3: Long, pairs: List[((PlanetSideGUID, PlanetSideGUID), Int)]) extends Product with Serializable

   Data structure for passing information about the event to client-local space.

   Data structure for passing information about the event to client-local space. The fields match the `OrbitalShuttleTimeMsg` packet that is created using this data.

   See also

     `OrbitalShuttleTimeMsg`

4.  final case class PairWith (zone: Zone, pad: PlanetSideGUID, shuttle: PlanetSideGUID, from: ActorRef) extends Product with Serializable

   Append information about a building amenity and shuttle combination in this zone.

   Append information about a building amenity and shuttle combination in this zone.

   zone

     the relevant zone

   pad

     the orbital shuttle pad (`obbasemesh`)

   shuttle

     the orbital shuttle

   from

     the control agency of the pad

5.  final case class SetEventDurations (inZone: String, away: Long, boarding: Long) extends MessageToHartInZone with Product with Serializable
6.  final case class ShuttleDocked (forChannel: String) extends Command with Product with Serializable

   The shuttle has landed on the pad and will (soon) accept passengers.

7.  final case class ShuttleFreeFromDock (forChannel: String) extends Command with Product with Serializable

   The shuttle has disengaged from the pad, will no longer accept passengers, and may take off soon.

8.  final case class ShuttleStateUpdate (forChannel: String, state: Int) extends Command with Product with Serializable

   The state exists to be turned into, ultimately, a `VehicleStateMessage` packet for the shuttle.

   The state exists to be turned into, ultimately, a `VehicleStateMessage` packet for the shuttle. This state is to be loaded into the `flying` field.

   state

     shuttle state, probably more symbolic of a gvien state than anything else

   See also

     `VehicleStateMessage`

9.  final case class Update (inZone: String, forChannel: String) extends MessageToHartInZone with Product with Serializable

   Personalized messages that align the state of the shuttle to one's perspective (client).

   Personalized messages that align the state of the shuttle to one's perspective (client).

   inZone

     the zone for which the update will be composed

   forChannel

     to whom to address the reply

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def analyzeEvent(event: HartEvent, padAndShuttlePairs: List[(PlanetSideGUID, PlanetSideGUID)], time: Option[Long] = None): OrbitalShuttleEvent

   Transform `HartEvent` data into `OrbitalShuttleEvent` data.

   Transform `HartEvent` data into `OrbitalShuttleEvent` data. The former is treated as something internal. The latter is treated as something external.

   event

     the `TimeShuttleEvent` data

   time

     how long has the current event in th sequence been occurring

   returns

     the `OrbitalShuttleEvent` data

   See also

     `OrbitalShuttleEvent`

     `HartEvent`

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
21.  case object LockDoors extends Command with Product with Serializable

    Forbid entry through the boartding gantry doors.

22.  case object UnlockDoors extends Command with Product with Serializable

    Permit entry through the boartding gantry doors.

### Inherited from AnyRef

### Inherited from Any

### Ungrouped